# -*- coding:utf-8 -*-
# 作者：齐振鋆
# 日期：2023/3/21
# 描述: 销售结算出库单

import logging
import allure

from component.GuKeYiTiHua import iframe, menu, list_page, order_detail_main, button, modal, order_detail_table, dbq
from component.GuKeYiTiHua.SurgeryFollow import first_menu

log = logging.getLogger(__name__)


class SaleOutStorage(object):
    third_menu = '销售结算出库单'

    def __init__(self):
        self.iframe = iframe
        self.menu = menu
        self.list_page = list_page

    @allure.step('打开菜单：{}'.format(third_menu))
    def open_menu_sale_out(self):
        self.iframe.out_frame()
        self.menu.open_menu(first_menu, self.third_menu)

    @allure.step('查询：{}'.format(third_menu))
    def sale_out_search(self, tap_name='已办', order_code=None, count=1):
        self.list_page.order_search(self.third_menu, tap_name, '关联销售结算单号', order_code, count)
