# -*- coding:utf-8 -*-
# 作者：齐振鋆
# 日期：2023/3/4
# 描述: 选配类还回出库单出库
import logging
import allure

from component.GuKeYiTiHua import iframe, menu, list_page
from component.GuKeYiTiHua.SurgeryFollow import first_menu

log = logging.getLogger(__name__)


class ApolegamyOut(object):
    third_menu = '选配类还回出库单出库'

    def __init__(self):
        self.iframe = iframe
        self.menu = menu
        self.list_page = list_page

    @allure.step('打开菜单：{}'.format(third_menu))
    def open_menu_apolegamy_out(self):
        self.iframe.out_frame()
        self.menu.open_menu(first_menu, self.third_menu)

    @allure.step('查询：{}'.format(third_menu))
    def apolegamy_out_search(self, tap_name='已办', order_code=None, count=1):
        self.list_page.order_search(self.third_menu, tap_name, '还回出库单号', order_code, count)
