# -*- coding:utf-8 -*-
# 作者：齐振鋆
# 日期：2023/2/24
# 描述: 还回单入库台账
import logging
import allure

from component.GuKeYiTiHua import iframe, menu, list_page
from component.GuKeYiTiHua.SurgeryFollow import first_menu

log = logging.getLogger(__name__)


class InLedger(object):
    third_menu = '手术跟台还回单入库台账'

    def __init__(self):
        self.iframe = iframe
        self.menu = menu
        self.list_page = list_page

    @allure.step('打开菜单：{}'.format(third_menu))
    def open_menu_in_ledger(self):
        self.iframe.out_frame()
        self.menu.open_menu(first_menu, self.third_menu)

    @allure.step('查询：{}'.format(third_menu))
    def in_ledger_search(self, tap_name='表头数据', order_code=None, count=1):
        self.list_page.order_search(self.third_menu, tap_name, '还回单号', order_code, count)
